{% extends 'default/public-layout.html.twig' %}

{% block pageTitle %} Connectez-vous {% endblock pageTitle %}


{% block content %}
<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

{#    <h1 class="h3 mb-3 font-weight-normal">Please sign in</h1>#}
    <div class="form-group">
        <label for="inputEmail">Email</label>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
    </div>

    <div class="form-group mt-3 mb-3">
        <label for="inputPassword">Password</label>
        <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
    </div>
    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >

    <div class="checkbox mb-3">
        <label>
            <input type="checkbox" name="_remember_me"> Remember me
        </label>
    </div>

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html


    #}

    <div class="form-group">
        <button class="btn btn-lg btn-primary" type="submit">
            Sign in
        </button>

    </div>
    <p class="text-end"><a href="{{ url('app_register') }}">Pas encore de compte ? Créez-en un !</a></p>
</form>
{% endblock %}
